// Copyright (c) 2025 Codemongous LLC. All Rights Reserved.

#include "SCW_UK2Node_MakeStruct.h"
#include "K2Node_MakeStruct.h"
#include "SourcifyCoreUEWrapperModule.h"

using namespace Sourcify;

SCW_UK2Node_MakeStruct::SCW_UK2Node_MakeStruct(UK2Node_MakeStruct* InK2Node_MakeStruct) : SCW_UK2Node_StructMemberSet(InK2Node_MakeStruct), K2Node_MakeStruct(InK2Node_MakeStruct)
{

}

UK2Node_MakeStruct* SCW_UK2Node_MakeStruct::ToUK2Node_MakeStruct() const
{
	return K2Node_MakeStruct;
}

ISCW_UK2Node_MakeStructPtr SCW_UK2Node_MakeStruct::ToUK2Node_MakeStructPtr()
{
	return GetSharedThisAs<SCW_UK2Node_MakeStruct>();
}

ISCW_UK2Node_MakeStructConstPtr SCW_UK2Node_MakeStruct::ToUK2Node_MakeStructPtr() const
{
	return GetSharedThisAs<SCW_UK2Node_MakeStruct>();
}